Create Cloud Key

This endpoint is used to create a cloud key for a specified user and then send that cloud key to either the user's email or phone number. If the cloud key was created successfully, the Id of the cloud key will be returned.

🚧

If both sendByEmail and sendByText are false, then the cloud key will not be sent to the user.

Controlled Errors

Error CodeError Message
error_invalid_time_scopeEither the expiration was set to a past date and time or the validFrom field was set to a date and time after the expiration.
error_invalid_datesThe user who the cloud key is being made for is a guest user and that guest user is not yet active.
error_user_not_foundNo user or guest user was found with the provided Id.
error_first_name_and_last_name_requiredFirst and Last name of user are required to create a cloud key.
error_email_invalid_formatThe email address of that user is in an invalid format.
error_phonenumber_invalid_formatThe phone number of that user is in an invalid format.
error_creating_cloud_keyFailed to create the cloud key.

Any status codes returned that are not provided here are generic status codes that can be found here.

Body Params
date
required

The start date and time for which the cloud key will be usable.

date
required

The date and time when this cloud key will expire.

boolean

Whether or not to send the cloud key via email. If this value is not passed, it will default to false.

boolean

Whether or not to send the cloud key via SMS message. If this value is not passed, it will default to false.

boolean

Whether or not this cloud key will be one time use only. If this value is not passed, it will default to false.

string

The Guid Id of the user that the cloud key will be associated with. If this value is not passed, it will default to an empty Guid.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain